Name:		qubes-core-admin-client
Version:    4.1.7
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Wed Jul 15 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96a3402
- version 4.1.7

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6182c5c
- rpm/deb: require new enough qubes-gui-daemon

* Wed Jul 15 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1446a6d
- Added dynamic X keyboard event monitoring to qvm_start_daemon.py

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f33580
- Wrap too long line

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 9377add
- Fixed inconsistent firewall address checking

* Tue Jul 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45a28c2
- Fix VM validity check for cached VM objects

* Thu Jul 09 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1a4cdba
- Added better __eq__ method to Label class

* Mon Jun 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 7616a89
- Clean up the guid-conf file on domain stop

* Mon Jun 29 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 3540f04
- Generate qubes-guid options based on features

* Fri Jun 26 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f89c4ca
- qvm-start-daemon: common_guid_args is now a staticmethod

* Fri Jun 26 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6295b0b
- tests: kde_args are passed with property of launcher

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e23c85e
- Fix missing semi-colon and new line

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 92e87b1
- Handle KDE with specific arg/desktop file

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 539d1d9
- Makefile: add clean of pkgs and debian changelog.*

* Tue Jun 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d6b725
- tools/qvm-start-daemon: reduce required permissions to sys-gui itself

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1d358c8
- debian: add guivm related content

* Sun May 31 2020 Dmitry Fedorov <d.fedorov@tabit.pro> - d99045f
- use function to determine pacat domid

* Fri May 29 2020 Dmitry Fedorov <d.fedorov@tabit.pro> - ec90829
- connect to PA in stubdom if audio-model enabled run pacat in low latency mode by default

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a5ffc88
- version 4.1.6

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 25b23db
- rpm: ensure matching qubesd socket protocol version

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aea4151
- events: implicitly enable caching when creating EventsDispatcher

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c081ed8
- Enable caching in qvm-ls and qvm-prefs

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79c7392
- Cache power state when caching is enabled

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bfe1a3d
- Adjust for changed qubesd socket protocol

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d12896
- Implement a wrapper for dom0 -> dom0 qrexec calls

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02cfab8
- Try to use new property.GetAll method to pre-fill the cache

* Fri May 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 218d43a
- Add simple properties caching

* Mon May 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5315bbf
- Do not check for object existence when got it with another Admin API call

* Sat May 16 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d2f4a45
- Added a safeguard for invalid firewall rules

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83b1fc6
- tools/qvm-volume import: do not retrieve old size anymore

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65dcee4
- Make pylint happy

* Fri Apr 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ae3c94
- version 4.1.5

* Tue Apr 07 2020 Rusty Bird <rustybird@net-c.com> - f9ee7f5
- collections.Callable -> collections.abc.Callable

* Tue Apr 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e87559b
- qvm-start-daemon: adjust pacat pid file path

* Mon Mar 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f08d41e
- Added tests for cloning VMs with persistent devices

* Mon Mar 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8e7db06
- Remove Python 2 workarounds

* Mon Mar 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c0a8c65
- Cloning a vm now clones persistent PCI device assignments

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e39f280
- qvm-start-daemon: check if layout is parsed

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2e72f75
- qvm-start-daemon: allow multiple options in keyboard layout

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 023d94a
- qvm-start-daemon: improve parsing args for setting keyboard layout

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c13097d
- qvm-start-daemon: set keyboard-layout only for the first set layout

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c58e5b8
- gui: set keyboard layout when starting daemon

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 526c862
- daemon: start it for dom0 unconditionnaly

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4995797
- qvm-start-daemon: ensure separate task between GUI/AUDIO

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 05e479c
- qvm-start-daemon: allow starting only if service enabled

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f7fa577
- Fix and improvements from Marek's comments

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0e049e6
- Change qvm-start-gui to qvm-start-daemon for handling audio too

* Sat Mar 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6d9e5bb
- Support for AudioVM

* Tue Mar 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a1ddbb0
- Add qvm-firewall reset action to the man page

* Sun Mar 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 916db9d
- tests/firewall: update future time to be really in the future

